module comgeomphy
   real,save,allocatable :: cell_area(:) ! mesh area (m2)
   real,save,allocatable :: dx(:) ! mesh width along longitude (m)
   real,save,allocatable :: dy(:) ! mesh width along latitude (m)
   real,save,allocatable :: latitude(:) ! in radians
   real,save,allocatable :: longitude(:) ! in radians
!$OMP THREADPRIVATE(cell_area,dx,dy,latitude,longitude)
contains
  
  subroutine initcomgeomphy
  USE mod_phys_lmdz_para, only: klon_omp
  implicit none
    
 
    allocate(cell_area(klon_omp))
    allocate(dx(klon_omp))
    allocate(dy(klon_omp))
    allocate(latitude(klon_omp))
    allocate(longitude(klon_omp))

  end subroutine initcomgeomphy
  
end module comgeomphy
